Imagick::valid
Imagick::waveImage
Imagick
PHP Manual

# Imagick::vignetteImage

Adds vignette filter to the image

### Description

bool Imagick::vignetteImage ( float `$blackPoint` , float `$whitePoint` , int `$x` , int `$y` )

Softens the edges of the image in vignette style. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`blackPoint`

  The black point.

`whitePoint`

  The white point

`x`

  X offset of the ellipse

`y`

  Y offset of the ellipse

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::waveImage
- Imagick::swirlImage